Bug 252862 - devel/zziplib: add MANPAGES and TEST options
Summary: devel/zziplib: add MANPAGES and TEST options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://github.com/gdraheim/zziplib/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-20 15:54 UTC by Daniel Engberg
Modified: 2021-03-30 21:13 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback-


Attachments
Patch for zziplib (12.86 KB, patch)
2021-01-20 15:54 UTC, Daniel Engberg
no flags Details | Diff
Patch for zziplib (5.78 KB, patch)
2021-03-17 21:18 UTC, Daniel Engberg
no flags Details | Diff
Patch for zziplib v2 (5.82 KB, patch)
2021-03-20 22:39 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-01-20 15:54:42 UTC
Created attachment 221769 [details]
Patch for zziplib

Update to 0.13.72
Switch to CMake (recommended by upstream)

References: 
https://github.com/gdraheim/zziplib

Compile and tested on FreeBSD 13.0-CURRENT main-c1-g63f93c7e1 (amd64) (make, make check-plist, make test)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Daniel Engberg 2021-01-20 15:57:20 UTC
Patches are to keep the same namning for libraries as autotools.
Comment 2 Daniel Engberg 2021-02-01 07:07:15 UTC
Ping?
Comment 3 Daniel Engberg 2021-03-08 07:25:56 UTC
Hi Sunpoet,

Can you have a look at the current committed version?

pkgconfig is required
https://github.com/gdraheim/zziplib/blob/master/bins/CMakeLists.txt#L9

Tests requires zip as far as I can tell
https://github.com/gdraheim/zziplib/blob/master/test/CMakeLists.txt#L23
https://github.com/gdraheim/zziplib/blob/master/test/zziptests.py#L33

Not disabling ZZIP_TESTCVE will cause external downloads during testing
https://github.com/gdraheim/zziplib/blob/master/test/CMakeLists.txt#L33

It would also be nice to have manpages optional

Regards,
Daniel
Comment 4 Tobias C. Berner freebsd_committer 2021-03-12 06:13:26 UTC
Maintainer timeout
Comment 5 Kurt Jaeger freebsd_committer 2021-03-13 20:51:16 UTC
https://svnweb.freebsd.org/changeset/ports/567618 has the update to 0.13.72
Comment 6 Daniel Engberg 2021-03-13 22:00:13 UTC
Hi Kurt,

I know but it's broken...

See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252862#c3
Comment 7 Daniel Engberg 2021-03-17 21:18:05 UTC
Created attachment 223372 [details]
Patch for zziplib

This should fix issues in committed version
Comment 8 Daniel Engberg 2021-03-18 17:09:42 UTC
Kurt,
Can you have a look at this?
Comment 9 Kurt Jaeger freebsd_committer 2021-03-18 19:06:03 UTC
(In reply to daniel.engberg.lists from comment #8)
Builds OK with options MANPAGES, SDL. Still fails to build with option TEST,
at least on HEAD.

More testbuilding right now.
Comment 10 Daniel Engberg 2021-03-18 19:29:56 UTC
Ahh, it doesn't pull in zip during build (I already had it installed on my system)

Not sure if we should set both
TEST_BUILD_DEPENDS= zip:archivers/zip and TEST_DEPENDS= zip:archivers/zip though

Best regards,
Daniel
Comment 11 Daniel Engberg 2021-03-20 22:39:47 UTC
Created attachment 223458 [details]
Patch for zziplib v2

Fix make test build dependency
Comment 12 Kurt Jaeger freebsd_committer 2021-03-21 20:39:00 UTC
(In reply to daniel.engberg.lists from comment #11)
testbuilds are fine

make test

ran fine on 14.0-main-c256294-g2cf84258922f
Comment 13 Daniel Engberg 2021-03-22 14:47:37 UTC
Thanks Kurt, can you commit it due to timeout?
Comment 14 Po-Chuan Hsieh freebsd_committer 2021-03-22 15:40:46 UTC
I'll take a look when available.

I see nothing wrong without pkgconfig. What failure did you get?
Comment 15 Daniel Engberg 2021-03-22 17:15:24 UTC
Configure stage throws some errors however it does complete

-- installing zzip pkgconfig files: ON
-- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
-- Checking for one of the modules 'zzip'
-- lib zzipwrap symlinks as by libtool: ON
-- installing zzipwrap pkgconfig files: ON
-- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
-- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
Comment 16 commit-hook freebsd_committer 2021-03-30 19:17:19 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Mar 30 19:16:37 UTC 2021
New revision: 569583
URL: https://svnweb.freebsd.org/changeset/ports/569583

Log:
  Add MANPAGES and TEST options

  - Bump PORTREVISION for package change

  PR:		252862
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net>

Changes:
  head/devel/zziplib/Makefile
  head/devel/zziplib/pkg-plist
Comment 17 Po-Chuan Hsieh freebsd_committer 2021-03-30 21:13:38 UTC
Committed. Thanks!